{% extends 'recipe_base.html' %}
{% block title %}
    Scrumptious Recipes
{% endblock title %}

{% block content %}

<main>
    <h1>
        {{ recipe.title }}
    </h1>
    <img src="{{ recipe.picture }}">
    <div>4.3 stars</div>
    <p>{{ recipe.description }}</p>
    <h2>
        Ingredients
    </h2>
    <table>
        <thead>
            <tr>
                <th>Amount</th>
                <th>Food Item</th>
            </tr>
        </thead>
        <tbody>
            {% for ingredient in recipe.ingredients.all %}
            <tr>
                <td>{{ingredient.amount}}</td>
                <td>{{ingredient.food_item}}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>    
    <h2>
        Steps
    </h2>
    <ol>
       {% for step in recipe_object.steps.all %}
       <li>{{ step.instruction }}</li>
       {% endfor %}
    </ol>
</main>
{% endblock content %}  
